Ad Account Promote Pages
Updated: Apr 17, 2024
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Get all the promoted Pages for an Ad Account.
Requirements
-
The
pages_show_listpermission - to get access to your app user's Pages -
The
pages_manage_adspermission - to get access to create and manage ads for your app user's Pages
Example
GET /v25.0/{ad-account-id}/promote_pages HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of Page nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.